From 43324f34e525be69c7e03fdcc6da94bbf0777f22 Mon Sep 17 00:00:00 2001
From: tmaruyama <none@none>
Date: Mon, 26 Sep 2011 16:20:57 +0000
Subject: Rails3: mail: rename app/views/layouts/mailer.text.plain.erb to app/views/layouts/mailer.text.erb

--HG--
rename : app/views/layouts/mailer.text.plain.erb => app/views/layouts/mailer.text.erb
extra : source : 27fd10200cf0cbf211648ee31f42a22be876ec77
---
 app/models/mailer.rb                               |   11 ++++++++---
 .../{mailer.text.plain.erb => mailer.text.erb}     |    0
 2 files changed, 8 insertions(+), 3 deletions(-)
 rename app/views/layouts/{mailer.text.plain.erb => mailer.text.erb} (100%)

diff --git a/app/models/mailer.rb b/app/models/mailer.rb
index 7cfaead..32371be 100644
--- a/app/models/mailer.rb
+++ b/app/models/mailer.rb
@@ -446,11 +446,16 @@ class Mailer < ActionMailer::Base
   def render_multipart(method_name, body)
     if Setting.plain_text_mail?
       content_type "text/plain"
-      body render(:file => "#{method_name}.text.plain.rhtml", :body => body, :layout => 'mailer.text.plain.erb')
+      body render(:file => "#{method_name}.text.plain.rhtml",
+                  :body => body,
+                  :layout => 'mailer.text.erb')
     else
       content_type "multipart/alternative"
-      part :content_type => "text/plain", :body => render(:file => "#{method_name}.text.plain.rhtml", :body => body, :layout => 'mailer.text.plain.erb')
-      part :content_type => "text/html", :body => render_message("#{method_name}.text.html.rhtml", body)
+      part :content_type => "text/plain",
+           :body => render(:file => "#{method_name}.text.plain.rhtml",
+                           :body => body, :layout => 'mailer.text.erb')
+      part :content_type => "text/html",
+           :body => render_message("#{method_name}.text.html.rhtml", body)
     end
   end
 
